Package org.apache.xmlbeans.impl.schema

## Class AbstractDocumentFactory<T>

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.ElementFactory<T>
  - - org.apache.xmlbeans.impl.schema.AbstractDocumentFactory<T>

- Direct Known Subclasses:
    `DocumentFactory`

      public class AbstractDocumentFactory<T>
      extends ElementFactory<T>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDocumentFactory​(SchemaTypeSystem typeSystem, String typeHandle)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `parse​(File file)` |
    `T` | `parse​(File file, XmlOptions options)` |
    `T` | `parse​(InputStream is)` |
    `T` | `parse​(InputStream is, XmlOptions options)` |
    `T` | `parse​(Reader r)` |
    `T` | `parse​(Reader r, XmlOptions options)` |
    `T` | `parse​(String xmlAsString)` |
    `T` | `parse​(String xmlAsString, XmlOptions options)` |
    `T` | `parse​(URL u)` |
    `T` | `parse​(URL u, XmlOptions options)` |
    `T` | `parse​(XMLStreamReader sr)` |
    `T` | `parse​(XMLStreamReader sr, XmlOptions options)` |
    `T` | `parse​(Node node)` |
    `T` | `parse​(Node node, XmlOptions options)` |

    - ### Methods inherited from class org.apache.xmlbeans.impl.schema.ElementFactory

      `getType, getTypeLoader, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDocumentFactory

          public AbstractDocumentFactory​(SchemaTypeSystem typeSystem,
                                         String typeHandle)

  - ### Method Detail

    - #### parse

          public T parse​(String xmlAsString)
                  throws XmlException

      Parameters:
        `xmlAsString` - the string value to parse
      Throws:
        `XmlException`

    - #### parse

          public T parse​(String xmlAsString,
                         XmlOptions options)
                  throws XmlException

      Throws:
        `XmlException`

    - #### parse

          public T parse​(File file)
                  throws XmlException,
                         IOException

      Parameters:
        `file` - the file from which to load an xml document
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(File file,
                         XmlOptions options)
                  throws XmlException,
                         IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(URL u)
                  throws XmlException,
                         IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(URL u,
                         XmlOptions options)
                  throws XmlException,
                         IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(InputStream is)
                  throws XmlException,
                         IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(InputStream is,
                         XmlOptions options)
                  throws XmlException,
                         IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(Reader r)
                  throws XmlException,
                         IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(Reader r,
                         XmlOptions options)
                  throws XmlException,
                         IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public T parse​(XMLStreamReader sr)
                  throws XmlException

      Throws:
        `XmlException`

    - #### parse

          public T parse​(XMLStreamReader sr,
                         XmlOptions options)
                  throws XmlException

      Throws:
        `XmlException`

    - #### parse

          public T parse​(Node node)
                  throws XmlException

      Throws:
        `XmlException`

    - #### parse

          public T parse​(Node node,
                         XmlOptions options)
                  throws XmlException

      Throws:
        `XmlException`